Summary:	The finger client
Name:		finger
Version:	0.17
Release:	%mkrel 8
License:	BSD
Group:		Networking/Other
URL:		ftp://sunsite.unc.edu/pub/Linux/system/network/finger
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/network/finger/bsd-finger-%{version}.tar.bz2
Source1:	finger.xinetd
Patch0:		bsd-finger-0.16-pts.patch
Patch1:		bsd-finger-0.10-exact.patch
Patch2:		bsd-finger-0.16-allocbroken.patch
Patch3:		bsd-finger-0.17-rfc742.patch
Patch4:		bsd-finger-0.17-glibc-2.2.2.patch
BuildRoot:	%{_tmppath}/%{name}-root

%description
Finger is a utility which allows users to see information about system users
(login name, home directory, name, how long they've been logged in to the
system, etc.). The finger package includes a standard finger client.

You should install finger if you'd like to retreive finger information from
other systems.

%package	server
Summary:	The finger daemon
Group:		System/Servers
Requires(post): xinetd
Requires(postun): xinetd

%description	server
Finger is a utility which allows users to see information about system users
(login name, home directory, name, how long they've been logged in to the
system, etc.). The finger-server package includes a standard finger server. The
server daemon (fingerd) runs from /etc/inetd.conf, which must be modified to
disable finger requests.

You should install finger-server if your system is used by multiple users and
you'd like finger information to be available.

%prep

%setup -q -n bsd-finger-%{version}
%patch0 -p1
#%patch2 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}}

install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xinetd.d/finger

make INSTALLROOT=%{buildroot} install

%post server
/sbin/service xinetd reload > /dev/null 2>&1 || :

%postun server
/sbin/service xinetd reload > /dev/null 2>&1 || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/finger
%{_mandir}/man1/finger.1*

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/finger
%{_sbindir}/in.fingerd
%{_mandir}/man8/in.fingerd.8*
%{_mandir}/man8/fingerd.8*


%changelog
* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-8mdv2007.1
+ Revision: 145531
- Import finger



* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-8mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 0.17-7mdk
- rebuild for sparc

* Thu Oct 13 2005 Pixel <pixel@mandriva.com> 0.17-6mdk
- rebuild

* Tue Apr  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.17-5mdk
- Rebuild to handle biarch struct utmp

* Thu Mar 21 2002 Florin <florin@mandrakesoft.com> 0.17-4mdk
- s/Copyright/License

* Wed Mar 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-3mdk
- Fix glibc-2.2.2 compilation.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-2mdk
- Add xinetd support.
- Merge with rh patches.

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- rebuild with new version
- use sbindir macro

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-2mdk
- BM, macros
- bzip2 source

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 0.16-1mdk
- Updates to version 0.16
- specfile cleanup 
- groups and spec-helper
- splited into server and client packages

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for new environement (Rel: 27mdk).

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix process table filled DOS attack (#1271)
- fix pts display problems (#1987 partially)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- fix error message typo.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure
